Jump to content
  • 0
MAi Turk‎‏

I can not play online

Question

7 answers to this question

Recommended Posts

  • 2

ETS2:MP is updated to 1.33 but the latest version of 1.33 is not supported yet. So choose "temporary_1_33 - 1.33.x for incompatible mods" in betas section. 

  • Thanks 1

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...